QGIS Application - Bug report #2106
QGIS crashes when loading polygon layer from arc/info coverage
2009-11-16 07:28 PM - Brian Edmond

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 12166
Description

| have several arc/info coverages that I'm attempting to load. They all exhibit this behavior (they are from at least two different sources).
Here are the steps to reproduce the problem.

Open QGIS.

Layer --> Add Vector Layer.

Choose "Directory".

Choose "Arc/Info Binary Coverage" as the Type.

Browse to a coverage directory and choose OK (which takes you back to options window).

Click OK.

Now, you are presented with an option to choose which layers to load.

Choosing any layer other than the polygon layer appears to work. However, choosing any combination along with the polygon layer
causes the crash.

History

#1 - 2009-11-16 07:34 PM - Gary Sherman

Can you attach a small sample for testing?

#2 - 2009-11-16 07:43 PM - Brian Edmond

Of course. The smallest one | could find is attached. | verified that it appears to exhibit the same behavior.

#3 - 2009-11-16 08:26 PM - Gary Sherman

Tested against trunk (only version | have available). All layers load with no crash, however the polygon (PAL) layer is not drawn. Changing symbology has
no effect.

#4 - 2009-11-17 06:25 AM - Giovanni Manghi
| cannot confirm the problem as with qgis-trunk under ubuntu linux (9.04) | can see well all the layer in the provided dataset with no crashes at all.

Please try again with trunk and report back.

#5 - 2009-11-24 11:38 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Open to Closed

Also under windows is all ok. Please reopen if you can confirm the problems with trunk.

Files

StateBorder.tar.gz 60.3 KB 2009-11-16 Brian Edmond
